import { jsx } from "react/jsx-runtime";
import { PinwheelIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Pinwheel = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Pinwheel", ...props, children: /* @__PURE__ */ jsx(PinwheelIcon, { weight: variant }) });
  }
);
Pinwheel.displayName = "Pinwheel";
Object.assign(Pinwheel, { isGdsIcon: true });
export {
  Pinwheel
};
